%define pypi_name django-appconf

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 2
Summary:        A helper class for handling configuration defaults of packaged apps gracefully
Group:          Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/django-appconf
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-sphinx
BuildRequires:  python-setuptools
BuildRequires:  python-django
#BuildRequires:  python-django-discover-runner
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python-django

%description
A helper class for handling configuration
defaults of packaged Django
apps gracefully.

%package -n python3-%{pypi_name}
Summary:        A helper class for handling configuration defaults of packaged apps gracefully
Group:          Development/Python
Requires:       python3-django

%description -n python3-%{pypi_name}
A helper class for handling configuration
defaults of packaged Django
apps gracefully.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp -a . %{py3dir} 

# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%build
%py2_build
pushd %{py3dir} 
%py3_build
popd


%install
%py2_install
pushd %{py3dir} 
%py3_install
popd

# checks fail in mock
#%check
#%{__python} setup.py test

%files
%doc html README.rst
%license LICENSE
%{python2_sitelib}/appconf
%{python2_sitelib}/django_appconf-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc html README.rst
%license LICENSE
%{python3_sitelib}/appconf
%{python3_sitelib}/django_appconf-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.0.1-2.mga6
+ Revision: 971189
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 philippem <philippem> 1.0.1-1.mga6
+ Revision: 889709
- update to 1.0.1, add python3

* Wed Oct 15 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 745194
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6-6.mga5
+ Revision: 728270
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 687969
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 543122
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6-2.mga4
+ Revision: 498363
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Aug 27 2013 philippem <philippem> 0.6-1.mga4
+ Revision: 472308
- imported package python-django-appconf

